Subject: Re: [PATCH] 2.6.18-rt7: PowerPC: fix breakage in threaded fasteoi type IRQ handlers

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 20 Nov 2006 07:49:42 +1100

On Sun, 2006-11-19 at 21:23 +0100, Ingo Molnar wrote:
> * Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > > dont worry, it's -rt only stuff.
> > 
> > Still, I'm curious :-) Besides, there have been people talking about 
> > having -rt work on ppc64 so ...
> 
> ok :)
> 
> > What do you need an ack() for on fasteoi ? On all fasteoi controllers 
> > I have, ack is implicit by obtaining the vector number and all there 
> > is is an eoi...
> 
> it's a compatibility hack only. Threaded handlers are a different type 
> of flow, but often the fasteoi handler is not changed to the threaded 
> handler so i changed it to be a threaded handler too.
> 
> threaded handlers need a mask() + an ack(), because that's the correct 
> model to map them to kernel threads - threaded handlers can be delayed 
> for a long time if something higher-prio is preempting them.

Well, the principle of controllers that do fasteoi is that all
interrupts of the same priority or below are masked until eoi happens...
so I still don't see why you need that...

Ben.